Bug 1732417 - NFS Backup is successful yet gives error `undefined method `path' for nil:NilClass` in CloudForms 5.10.5
Summary: NFS Backup is successful yet gives error `undefined method `path' for nil:Nil...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.9
Assignee: Gregg Tanzillo
QA Contact: Jaroslav Henner
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 10:51 UTC by Khushbu Borole
Modified: 2019-12-04 11:23 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-24 21:06:45 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Khushbu Borole 2019-07-23 10:51:02 UTC
Description of problem:
1. Created an NFS Database Backup Schedule
2. Executed the schedule and tracked the evm.log file
3. The database backup file is created at NFS Depot
4. After the complesion of the task below line of logs are seen
~~~
[----] E, [2019-07-23T14:50:33.011126 #2623:d7cf58] ERROR -- : MIQ(MiqQueue#deliver) Message id: [1000001290260], Error: [undefined method `path' for nil:NilClass]
[----] E, [2019-07-23T14:50:33.012209 #2623:d7cf58] ERROR -- : [NoMethodError]: undefined method `path' for nil:NilClass  Method:[block (2 levels) in <class:LogProxy>]
~~~

Version-Release number of selected component (if applicable):
Red Hat CloudForms 4.7.5

How reproducible:
Always with NFS Backup

Steps to Reproduce:
1. Execute NFS Backup
2. Successfully create the Backup at the depot
3. Flashes ERROR in evm.log `[NoMethodError]: undefined method `path' for nil:NilClass`

Actual results:
Flashes ERROR in evm.log `[NoMethodError]: undefined method `path' for nil:NilClass`

Expected results:
Error should not flash.
Why is that error if backup is successfull?

Comment 4 Jaroslav Henner 2019-10-21 16:58:39 UTC
I was trying to reproduce this on 5.10.5.1 to add a check to our cfme/tests/configure/test_db_backup_schedule.py::test_db_backup_schedule to ensure this doesn't appear again and failed to reproduce

Comment 5 Jaroslav Henner 2019-10-21 17:35:02 UTC
It reproduced when the uri was incorrect


Note You need to log in before you can comment on or make changes to this bug.